.cat-filter {display: flex;position: relative;border: 3px solid transparent;transition: all 0.2s ease-out;border-radius: 10px;width: calc(25% - 20px);max-width: 300px;overflow: hidden;}
.mfwd-cpt-filter-radio {display: flex;flex-wrap: wrap;justify-content: space-between;gap: 20px;}
.cat-filter>input[type="radio"] {opacity: 0;position: absolute;}
.cat-filter:has(input[type="radio"]:checked) {border-color: var(--secondary);transition: all 0.2s ease-out;}
.cat-filter .h3-style {position: absolute;line-height: 1;top: 39px;left: 20px;font-size: 46px;color: white;}
.cat-filter svg {position: absolute;bottom: 20px;right: 20px;}
.mfwd-cpt-filter-term-image-wrap {display: flex;}
.mfwd-cpt-filter-term-image-wrap>span {background-color: var(--primary);width: 100%;display: block;position: absolute;height: 100%;background: linear-gradient(180deg, #0556bbe0 0%, #0556BB00 100%);}
.mfwd-cpt-filter-form {display: flex;flex-wrap: wrap;gap: 37px;max-width: 1250px;align-items: flex-start;align-items: center;}
.mfwd-cpt-filter-field:has(.mfwd-cpt-filter-radio) {width: 100%;}
.mfwd-cpt-filter-field select {background: none;line-height: 0;font-size: 18px;font-family: var(--font-family--h4);color: #36C2E9;border: 3px solid #36C2E9;border-radius: 100px;padding: 8px 20px;width: 100%;appearance: none;line-height: 1;position: relative;background: url(/wp-content/uploads/2026/03/arrow-yellow.svg);background-repeat: no-repeat;background-position-x: 94%;background-size: 14px;background-position-y: 50%;}
.mfwd-cpt-filter-field>label {opacity: 0;position: absolute;}
p.mfwd-cpt-filter-title-label {margin-bottom: 10px;font-family: var(--font-family--h4);color: #36C2E9;font-size: 18px;}
.mfwd-cpt-filter-field:has(.mfwd-cpt-filter-checkboxes) {width: 58%;}
.mfwd-cpt-filter-field:has(select) {width: 25%;max-width: 300px;}
.mfwd-cpt-filter-actions {width: 25%;margin-left: auto;display: flex;justify-content: flex-end;max-width: 150px;}
.mfwd-cpt-filter-actions>button {padding: 8px 20px;border-radius: 100px;line-height: 1;font-family: var(--font-family--h4);background: none;border: 2px solid #36C2E9;color: #36C2E9;transition: all 0.3s ease-out;width: 100%;max-width: 150px;}
.mfwd-cpt-filter-actions>button:hover {background: #36C2E9;color: white;transition: all 0.3s ease-out;}
.mfwd-cpt-filter-checkboxes {display: flex;flex-wrap: wrap;gap: 7px 16px;font-size: 14px;font-family: var(--font-family--h4);color: var(--primary);}
.mfwd-cpt-filter-checkboxes input[type="checkbox"] {appearance: none;position: absolute;}
.mfwd-cpt-filter-checkboxes span:before {content: '';min-width: 15px;height: 15px;background: #cfcfcf;position: relative;top: -1px;border-radius: 2px;display: flex;justify-content: center;align-items: center;padding: 2px;transition: all 0.3s ease-out;}
.mfwd-cpt-filter-checkboxes span {display: flex;align-items: flex-start;gap: 5px;line-height: 1;}
.mfwd-cpt-filter-checkboxes [type=checkbox]:checked + span:before {background: var(--secondary);content:'✓';transition: all 0.3s ease-out;font-weight: bold;}
.mfwd-cpt-filter-checkboxes>label {width: calc(33.33% - 16px);}
.mfwd-cpt-filter-reset:focus {background: #36C2E9;}
/*Rendered results*/
.mfwd-cpt-filter-results {max-width: 1250px;}
.mfwd-cpt-filter-results-grid {display: flex;flex-wrap: wrap;justify-content: flex-start;gap: 25px;margin-top: 40px;}
.mfwd-cpt-filter-thumb.mfwd-cpt-filter-thumb-secondary {position: absolute;top: 0;opacity: 0;transition: all 0.3s ease-out;}
.mfwd-cpt-filter-card {width: calc(16.66% - 21px);}
.mfwd-cpt-filter-thumb {display: flex;}
.mfwd-cpt-filter-thumb img {height: auto;width: 100%;aspect-ratio: 110 / 77;object-fit: cover;}
.image-wrapper {position: relative;border-radius: 10px;overflow: hidden;}
.image-wrapper:hover .mfwd-cpt-filter-thumb.mfwd-cpt-filter-thumb-secondary{opacity:1;transition: all 0.3s ease-out;}
.mfwd-cpt-filter-card .txt-wrpr {background: var(--light-primary);margin-top: -10px;padding: 27px 12px 20px 12px;border-radius: 0 0 10px 10px;}
.mfwd-cpt-filter-card .mfwd-cpt-filter-title {margin-bottom: 8px;line-height: 1;font-weight: 400;font-size: 23px;color: var(--dark-primary);}
.mfwd-cpt-filter-features {font-size: 13px;margin-bottom: 19px;}
.mfwd-cpt-filter-features .mfwd-cpt-filter-feature:not(:first-child) {border-left: 1px solid;padding-left: 5px;margin-left: 5px;}
.mfwd-cpt-filter-button {font-size: 13px;font-family: var(--font-family--h4);font-weight: 600;}
ul.page-numbers {list-style: none;margin: 0;display: flex;gap: 10px;}
.mfwd-cpt-filter-pagination {padding: 40px 20px;}
li .page-numbers {font-family: var(--font-family--h4);font-weight: 600;border: 2px solid var(--primary);padding: 6px;line-height: 1;border-radius: 100px;aspect-ratio: 20/10;display: flex;align-items: center;justify-content: center;transition: all 0.3s ease-out;}
a.next.page-numbers, .prev.page-numbers {aspect-ratio: unset;padding: 6px 20px;}
li .page-numbers:hover {background: var(--primary);color: white;transition: all 0.3s ease-out;}
span.page-numbers.current {border-color: var(--secondary);background: var(--secondary);color: white;}
.pool-swatch-card {width: 64px;  height: 64px;}
/*******************/
.related-pools .recent-post-list > li {width: calc(25% - 19px);}
.related-pools .recent-pool-list {flex-wrap: wrap;gap: 25px;}
.related-pools .separate-containers .featured-image {border-radius: 8px;overflow: hidden;}
.related-pools {padding-bottom: 100px;}
.separate-containers .featured-image {border-radius: 8px;overflow: hidden;}
/*******************/
@media (max-width: 1250px) {
.mfwd-cpt-filter-field:has(.mfwd-cpt-filter-checkboxes) {width: 50%;}
}
@media (max-width: 1024px) {
.mfwd-cpt-filter-checkboxes>label {width: calc(50% - 16px);}
.mfwd-cpt-filter-card {width: calc(25% - 19px);}
}
@media (max-width: 900px) {
.cat-filter .h3-style {font-size: 34px;}
.cat-filter svg {width: 25px;height: 25px;}
.cat-filter {width: calc(25% - 10px);}
.mfwd-cpt-filter-radio {gap: 10px;}
.mfwd-cpt-filter-form {row-gap: 10px;column-gap: 12px;}
}
@media (max-width: 800px) {
.related-pools .recent-post-list > li {width: calc(50% - 13px);}
.related-pools__title.h3-style {text-align: center;}
}
@media (max-width: 700px) {
.mfwd-cpt-filter-field:has(.mfwd-cpt-filter-checkboxes) {width: calc(75% - 12px);padding-left: 9px;}
.mfwd-cpt-filter-actions {margin-right: auto;margin-top: 14px;max-width: 200px;justify-content: center;}
.mfwd-cpt-filter-actions>button {max-width: none;}
.cat-filter .h3-style {font-size: 25px;}
.mfwd-cpt-filter-results-grid {gap: 18px;}
.mfwd-cpt-filter-card {width: calc(25% - 14px);}
}
@media (max-width: 600px) {
.mfwd-cpt-filter-field:has(.mfwd-cpt-filter-checkboxes) {width: 100%;padding: 0;}
.mfwd-cpt-filter-field:has(select) {width: 100%;max-width: 80%;margin-left: auto;margin-right: auto;}
.mfwd-cpt-filter-results-grid {gap: 15px;}
.mfwd-cpt-filter-card {width: calc(33.33% - 10px);}
}
@media (max-width: 550px) {
.cat-filter .h3-style {top: 20%;left: 15%;}
.cat-filter svg {width: 16px;height: 16px;bottom: 10%;right: 10%;}
section.related-pools .recent-post-list .text {padding: 12px;}
.related-pools .recent-pool-list {gap: 0;justify-content: space-between;}
.related-pools .recent-post-list > li {width: calc(50% - 7px);}
}
@media (max-width: 500px) {
.cat-filter {width: calc(50% - 10px);max-width: 164px;}
.mfwd-cpt-filter-radio {gap: 5px;justify-content: center;}
.mfwd-cpt-filter-actions {width: 100%;}
}
@media (max-width: 450px) {
.mfwd-cpt-filter-results-grid {gap: 12px;}
.mfwd-cpt-filter-card {width: calc(50% - 6px);}
}